package de.ivu.elect.business.aufgabe.entity;

public enum AufgabenStatus {

  OHNE {
    @Override
    public String getStyleClass() {
      return "aufgabeOhneStatus";
    }

    @Override
    public boolean isStatusVorhanden() {
      return false;
    }
  },
  OFFEN {
    @Override
    public String getStyleClass() {
      return "aufgabeOffen";
    }
  },
  IN_BEABEITUNG {
    @Override
    public String getStyleClass() {
      return "aufgabeBearbeitung";
    }
  },
  ERLEDIGT {
    @Override
    public String getStyleClass() {
      return "aufgabeErledigt";
    }
  };

  public abstract String getStyleClass();

  public boolean isStatusVorhanden() {
    return true;
  }
}
